Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-sip-websocket-10.txt

From: Paul Kyzivat <[email-masked]>
Date: Mon, 02 Dec 2013 08:04:05 -0800

Iñaki,

Generally this looks good. I remain concerned about the "updates" issue, 
though it appears that I may be the only person who is. So I'm satisfied 
with this draft, and will pursue my general concerns about the meaning 
of "updates" separately.

	Thanks,
	Paul

On 11/28/13 6:40 PM, Iñaki Baz Castillo wrote:
> 2013/11/29  <[email-masked]>:
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>   This draft is a work item of the Session Initiation Protocol Core Working Group of the IETF.
>>
>>          Title           : The WebSocket Protocol as a Transport for the Session Initiation Protocol (SIP)
>>          Author(s)       : Inaki Baz Castillo
>>                            Jose Luis Millan Villegas
>>                            Victor Pascual
>>          Filename        : draft-ietf-sipcore-sip-websocket-10.txt
>>          Pages           : 24
>>          Date            : 2013-11-28
>>
>> Abstract:
>>     The WebSocket protocol enables two-way realtime communication between
>>     clients and servers in web-based applications.  This document
>>     specifies a WebSocket sub-protocol as a reliable transport mechanism
>>     between SIP (Session Initiation Protocol) entities to enable usage of
>>     SIP in web-oriented deployments.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-sipcore-sip-websocket
>>
>> There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-sipcore-sip-websocket-10
>
>
>
> Hi,
>
> The changelog for the version 10 of the draft is the following:
>
>
> - Removed "_This section is non-normative_" at the top of
> non-normative sections (those don't include normative keywords so they
> are already non-normative).
>
> - Use "RECOMMENDED" instead of "recommended" in section "Secure
> WebSocket Connection" under "Security Considerations" (thanks to
> Stephen Farrell).
>
> - RFC 5246 (TLS Protocol Version 1.2) moved to normative references
> (thanks to Stephen Farrell).
>
> - Remove indentation of second paragraph in "WebSocket SIP
> Sub-Protocol -> Handshake" section (thanks to Benoit Claise).
>
> - Improvements and fixes in normative text (thanks to Pete Resnick).
>
> - Replace "optional" with "not necessary" when talking about
> Content-Length header (thanks to Pete Resnick).
>
> - Remove "updates RFC 3261" given that an implementor of a SIP
> UDP/TCP/TLS device does not need to know about SIP WebSocket transport
> (requested by Stephen Farrell and others).
>
> - Clarify that UTF-8 encoding is RECOMMENDED (given JavaScript and
> WebSocket nature).
>
> - Many changes in "Authentication" section, by making some MTI
> authentication mechanisms (thanks to Pete Resnick).
>
> - RFC 2617 (HTTP authentication) and RFC 6265 (HTTP Cookies) moved to
> Normative References.
>
> - Removed the text about "matching Web/WebSocket identity and SIP
> identity" as it just makes sense in specific usecases (thanks to
> Binod).
>
>
> I'm really sorry for the delay in posting this new revision of the
> draft. As always, your comments and feedback are welcome.
>
> Thanks to all the members in the group.
> Best regards.
>
>
>
>
>
>
> --
> Iñaki Baz Castillo
> <[email-masked]>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Iñaki Baz Castillo <[email-masked]>
Date: Mon, 2 Dec 2013 17:08:55 +0100

2013/12/2 Paul Kyzivat <[email-masked]>:
> with this draft, and will pursue my general concerns about the meaning of
> "updates" separately.

Thanks a lot Paul,

Indeed the "updates 3261" seems a hard topic given that it adds some
stuff to RFC 3261, changes some minor stuff in it, but still does not
require developers of non-WS SIP devices to be aware of the SIP
WebSocket transport.

Best regards.

-- 
Iñaki Baz Castillo
<[email-masked]>